Subject: Re: netrc credential helper promotion out of contrib?

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Aug 2013 12:28:39 -0700

Ted Zlatanov <[email-masked]> writes:

> A while has passed since contrib/credential/netrc was added. Is it OK to
> promote it to be part of the main installation?

I gave it a quick glance, and it seems to be cleanly written, except
that "EOHIPPUS" (End-of-Hippus?  Eohippus the extinct horse?) looked
a bit too strange to my taste ;-).  It does not seem to use features
older versions of Perl some people are stuck with do not support.

I do not mind seeing a patch that moves contrib/credential/netrc to
credential/netrc and adjusts the top-level Makefile.  The test
script needs to be updated to fit the rest of t/ hierarchy better,
though.